set terminal png
set output "profile.png"

set yrange [0:300]
set xrange [0:1200]

set key under
set xlabel "Time [s]"
set ylabel "Temperature [°C]"

f(x)= k*x + q
fit [0:380] f(x) "data.txt" using 1:4 via k,q

a=k
b=q

g(x)= a*x + b
fit [479:585] g(x) "data.txt" using 1:4 via a,b


plot "data.txt" using 1:4 with points title "measured points", f(x), g(x)
